A dropdown composite mixes a dropdown with some other

### Hierarchy

- SuiDropdownComponent
  - SuiDropdownComposite

## Index

### Constructors

- constructor

### Accessors

- html

### Methods

- bind
- handleChanged
- makeClasses

## Constructors

### constructor

- new SuiDropdownComposite(dialog: SuiDialogNotifier, parameters: SuiDropdownCompositeParams): SuiDropdownComposite

- Overrides SuiDropdownComponent.constructor

  - Defined in src/ui/dialogs/components/dropdown.ts:148

  #### Parameters

  - ##### dialog: SuiDialogNotifier

  - ##### parameters: SuiDropdownCompositeParams

  #### Returns SuiDropdownComposite

## Accessors

### html

- get html(): DomBuilder

- Inherited from SuiDropdownComponent.html

  - Defined in src/ui/dialogs/components/dropdown.ts:55

  #### Returns DomBuilder

## Methods

### bind

- bind(): void

- Inherited from SuiDropdownComponent.bind

  - Defined in src/ui/dialogs/components/dropdown.ts:109

  Called by the dialog after rendering, so the derived class can bind the html controls

  #### Returns void

### handleChanged

- handleChanged(): void

- Overrides SuiDropdownComponent.handleChanged

  - Defined in src/ui/dialogs/components/dropdown.ts:153

  Called by the derived class when the value changes. The change flag is set to true, so the dialog will know which component changed.

  #### Returns void

### makeClasses

- makeClasses(classes: string): string

- Inherited from SuiDropdownComponent.makeClasses

  - Defined in src/ui/dialogs/components/baseComponent.ts:148

  combine component classes with string, used for composites

  #### Parameters

  - ##### classes: string

    string ot append

  #### Returns string

  combined strings

Generated using TypeDoc